<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Lexis</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier">Lexis</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="hs-keyword">module</span><span> </span><span class="annot"><a href="Lexis.Noun.html"><span class="hs-identifier">Lexis.Noun</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>    </span><span class="hs-keyword">module</span><span> </span><span class="annot"><a href="Lexis.Verb.html"><span class="hs-identifier">Lexis.Verb</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-5"></span><span>    </span><span class="hs-keyword">module</span><span> </span><span class="annot"><a href="Lexis.Adjective.html"><span class="hs-identifier">Lexis.Adjective</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-6"></span><span>    </span><span class="hs-keyword">module</span><span> </span><span class="annot"><a href="Lexis.Adverb.html"><span class="hs-identifier">Lexis.Adverb</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-7"></span><span>    </span><span class="annot"><a href="Lexis.html#getLFeatures"><span class="hs-identifier">getLFeatures</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-8"></span><span>    </span><span class="annot"><a href="Lexis.html#modifyFeatures"><span class="hs-identifier">modifyFeatures</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-9"></span><span>    </span><span class="annot"><a href="Lexis.html#isAnthroponym"><span class="hs-identifier">isAnthroponym</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-10"></span><span>    </span><span class="annot"><a href="Lexis.html#getVerbFromLexis"><span class="hs-identifier">getVerbFromLexis</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-11"></span><span>    </span><span class="annot"><a href="Lexis.html#modifyDeterminer"><span class="hs-identifier">modifyDeterminer</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-12"></span><span>    </span><span class="annot"><a href="Lexis.html#modifyCase"><span class="hs-identifier">modifyCase</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-13"></span><span>    </span><span class="annot"><a href="Lexis.html#modifyPossessive"><span class="hs-identifier">modifyPossessive</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-15"></span><span class="hs-keyword">where</span><span>
</span><span id="line-16"></span><span>
</span><span id="line-17"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-18"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.Adjective.html"><span class="hs-identifier">Lexis.Adjective</span></a></span><span>
</span><span id="line-19"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.Adverb.html"><span class="hs-identifier">Lexis.Adverb</span></a></span><span>
</span><span id="line-20"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.Noun.html"><span class="hs-identifier">Lexis.Noun</span></a></span><span>
</span><span id="line-21"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.Verb.html"><span class="hs-identifier">Lexis.Verb</span></a></span><span>
</span><span id="line-22"></span><span>
</span><span id="line-23"></span><span class="hs-keyword">data</span><span> </span><span id="Lexis"><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-var">Lexis</span></a></span></span><span>
</span><span id="line-24"></span><span>  </span><span class="hs-glyph">=</span><span> </span><span id="N"><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span></span><span> </span><span class="annot"><a href="Lexis.Noun.html#Nominal"><span class="hs-identifier hs-type">Nominal</span></a></span><span> </span><span class="annot"><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-type">NF</span></a></span><span>
</span><span id="line-25"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="V"><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span></span><span> </span><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier hs-type">Verb</span></a></span><span> </span><span class="annot"><a href="Features.Verbal.html#VF"><span class="hs-identifier hs-type">VF</span></a></span><span>
</span><span id="line-26"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="Adj"><span class="annot"><a href="Lexis.html#Adj"><span class="hs-identifier hs-var">Adj</span></a></span></span><span> </span><span class="annot"><a href="Lexis.Adjective.html#Adjective"><span class="hs-identifier hs-type">Adjective</span></a></span><span> </span><span class="annot"><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-type">NF</span></a></span><span> </span><span class="hs-comment">-- we will need to extend features to include comparison in the future</span><span>
</span><span id="line-27"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="Adv"><span class="annot"><a href="Lexis.html#Adv"><span class="hs-identifier hs-var">Adv</span></a></span></span><span> </span><span class="annot"><a href="Lexis.Adverb.html#Adverb"><span class="hs-identifier hs-type">Adverb</span></a></span><span> </span><span class="annot"><a href="Features.Adverbial.html#AdvF"><span class="hs-identifier hs-type">AdvF</span></a></span><span>
</span><span id="line-28"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081844"><span id="local-6989586621679081846"><span class="annot"><span class="annottext">Lexis -&gt; Lexis -&gt; Bool
(Lexis -&gt; Lexis -&gt; Bool) -&gt; (Lexis -&gt; Lexis -&gt; Bool) -&gt; Eq Lexis
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: Lexis -&gt; Lexis -&gt; Bool
$c/= :: Lexis -&gt; Lexis -&gt; Bool
== :: Lexis -&gt; Lexis -&gt; Bool
$c== :: Lexis -&gt; Lexis -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081837"><span id="local-6989586621679081839"><span id="local-6989586621679081841"><span class="annot"><span class="annottext">Int -&gt; Lexis -&gt; ShowS
[Lexis] -&gt; ShowS
Lexis -&gt; String
(Int -&gt; Lexis -&gt; ShowS)
-&gt; (Lexis -&gt; String) -&gt; ([Lexis] -&gt; ShowS) -&gt; Show Lexis
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [Lexis] -&gt; ShowS
$cshowList :: [Lexis] -&gt; ShowS
show :: Lexis -&gt; String
$cshow :: Lexis -&gt; String
showsPrec :: Int -&gt; Lexis -&gt; ShowS
$cshowsPrec :: Int -&gt; Lexis -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-29"></span><span>
</span><span id="line-30"></span><span class="hs-comment">-- | Produce Lexis' features wrapped</span><span>
</span><span id="line-31"></span><span class="annot"><a href="Lexis.html#getLFeatures"><span class="hs-identifier hs-type">getLFeatures</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Wrappable.html#FeatureWrapper"><span class="hs-identifier hs-type">FeatureWrapper</span></a></span><span>
</span><span id="line-32"></span><span id="getLFeatures"><span class="annot"><span class="annottext">getLFeatures :: Lexis -&gt; FeatureWrapper
</span><a href="Lexis.html#getLFeatures"><span class="hs-identifier hs-var hs-var">getLFeatures</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679081835"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081835"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NF -&gt; FeatureWrapper
forall a. Wrappable a =&gt; a -&gt; FeatureWrapper
</span><a href="Features.Wrappable.html#wrap"><span class="hs-identifier hs-var">wrap</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081835"><span class="hs-identifier hs-var">nf</span></a></span><span>
</span><span id="line-33"></span><span class="annot"><a href="Lexis.html#getLFeatures"><span class="hs-identifier hs-var">getLFeatures</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679081833"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679081833"><span class="hs-identifier hs-var">vf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">VF -&gt; FeatureWrapper
forall a. Wrappable a =&gt; a -&gt; FeatureWrapper
</span><a href="Features.Wrappable.html#wrap"><span class="hs-identifier hs-var">wrap</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679081833"><span class="hs-identifier hs-var">vf</span></a></span><span>
</span><span id="line-34"></span><span class="annot"><a href="Lexis.html#getLFeatures"><span class="hs-identifier hs-var">getLFeatures</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adj"><span class="hs-identifier hs-type">Adj</span></a></span><span> </span><span class="annot"><span class="annottext">Adjective
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679081832"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081832"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NF -&gt; FeatureWrapper
forall a. Wrappable a =&gt; a -&gt; FeatureWrapper
</span><a href="Features.Wrappable.html#wrap"><span class="hs-identifier hs-var">wrap</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081832"><span class="hs-identifier hs-var">nf</span></a></span><span>
</span><span id="line-35"></span><span class="annot"><a href="Lexis.html#getLFeatures"><span class="hs-identifier hs-var">getLFeatures</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adv"><span class="hs-identifier hs-type">Adv</span></a></span><span> </span><span class="annot"><span class="annottext">Adverb
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679081831"><span class="annot"><span class="annottext">AdvF
</span><a href="#local-6989586621679081831"><span class="hs-identifier hs-var">advf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">AdvF -&gt; FeatureWrapper
forall a. Wrappable a =&gt; a -&gt; FeatureWrapper
</span><a href="Features.Wrappable.html#wrap"><span class="hs-identifier hs-var">wrap</span></a></span><span> </span><span class="annot"><span class="annottext">AdvF
</span><a href="#local-6989586621679081831"><span class="hs-identifier hs-var">advf</span></a></span><span>
</span><span id="line-36"></span><span>
</span><span id="line-37"></span><span class="hs-comment">-- | Given an Lexis and a wrapped feature complex, create a new Lexis with</span><span>
</span><span id="line-38"></span><span class="hs-comment">-- the given features</span><span>
</span><span id="line-39"></span><span class="annot"><a href="Lexis.html#modifyFeatures"><span class="hs-identifier hs-type">modifyFeatures</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Wrappable.html#FeatureWrapper"><span class="hs-identifier hs-type">FeatureWrapper</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-40"></span><span id="modifyFeatures"><span class="annot"><span class="annottext">modifyFeatures :: Lexis -&gt; FeatureWrapper -&gt; Lexis
</span><a href="Lexis.html#modifyFeatures"><span class="hs-identifier hs-var hs-var">modifyFeatures</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span id="local-6989586621679081830"><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081830"><span class="hs-identifier hs-var">w</span></a></span></span><span> </span><span id="local-6989586621679081829"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081829"><span class="hs-identifier hs-var">srcF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Wrappable.html#WrapNF"><span class="hs-identifier hs-type">WrapNF</span></a></span><span> </span><span id="local-6989586621679081827"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081827"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081830"><span class="hs-identifier hs-var">w</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081827"><span class="hs-identifier hs-var">tgtF</span></a></span><span>
</span><span id="line-41"></span><span class="annot"><a href="Lexis.html#modifyFeatures"><span class="hs-identifier hs-var">modifyFeatures</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span id="local-6989586621679081826"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679081826"><span class="hs-identifier hs-var">w</span></a></span></span><span> </span><span id="local-6989586621679081825"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679081825"><span class="hs-identifier hs-var">srcF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Wrappable.html#WrapVF"><span class="hs-identifier hs-type">WrapVF</span></a></span><span> </span><span id="local-6989586621679081823"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679081823"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679081826"><span class="hs-identifier hs-var">w</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679081823"><span class="hs-identifier hs-var">tgtF</span></a></span><span>
</span><span id="line-42"></span><span class="annot"><a href="Lexis.html#modifyFeatures"><span class="hs-identifier hs-var">modifyFeatures</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adj"><span class="hs-identifier hs-type">Adj</span></a></span><span> </span><span id="local-6989586621679081822"><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679081822"><span class="hs-identifier hs-var">w</span></a></span></span><span> </span><span id="local-6989586621679081821"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081821"><span class="hs-identifier hs-var">srcF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Wrappable.html#WrapNF"><span class="hs-identifier hs-type">WrapNF</span></a></span><span> </span><span id="local-6989586621679081820"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081820"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Adjective -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#Adj"><span class="hs-identifier hs-var">Adj</span></a></span><span> </span><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679081822"><span class="hs-identifier hs-var">w</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081820"><span class="hs-identifier hs-var">tgtF</span></a></span><span>
</span><span id="line-43"></span><span class="annot"><a href="Lexis.html#modifyFeatures"><span class="hs-identifier hs-var">modifyFeatures</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adv"><span class="hs-identifier hs-type">Adv</span></a></span><span> </span><span id="local-6989586621679081819"><span class="annot"><span class="annottext">Adverb
</span><a href="#local-6989586621679081819"><span class="hs-identifier hs-var">w</span></a></span></span><span> </span><span id="local-6989586621679081818"><span class="annot"><span class="annottext">AdvF
</span><a href="#local-6989586621679081818"><span class="hs-identifier hs-var">srcF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Wrappable.html#WrapAdvF"><span class="hs-identifier hs-type">WrapAdvF</span></a></span><span> </span><span id="local-6989586621679081816"><span class="annot"><span class="annottext">AdvF
</span><a href="#local-6989586621679081816"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Adverb -&gt; AdvF -&gt; Lexis
</span><a href="Lexis.html#Adv"><span class="hs-identifier hs-var">Adv</span></a></span><span> </span><span class="annot"><span class="annottext">Adverb
</span><a href="#local-6989586621679081819"><span class="hs-identifier hs-var">w</span></a></span><span> </span><span class="annot"><span class="annottext">AdvF
</span><a href="#local-6989586621679081816"><span class="hs-identifier hs-var">tgtF</span></a></span><span>
</span><span id="line-44"></span><span class="annot"><a href="Lexis.html#modifyFeatures"><span class="hs-identifier hs-var">modifyFeatures</span></a></span><span> </span><span class="annot"><span class="annottext">Lexis
</span><span class="hs-identifier">_</span></span><span> </span><span class="annot"><span class="annottext">FeatureWrapper
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String -&gt; Lexis
forall a. HasCallStack =&gt; String -&gt; a
</span><span class="hs-identifier hs-var">error</span></span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;Incompatible word and feature types&quot;</span></span><span>
</span><span id="line-45"></span><span>
</span><span id="line-46"></span><span class="annot"><a href="Lexis.html#isAnthroponym"><span class="hs-identifier hs-type">isAnthroponym</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Bool</span></span><span>
</span><span id="line-47"></span><span id="isAnthroponym"><span class="annot"><span class="annottext">isAnthroponym :: Lexis -&gt; Bool
</span><a href="Lexis.html#isAnthroponym"><span class="hs-identifier hs-var hs-var">isAnthroponym</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-type">Noun</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Noun.html#Anthroponym"><span class="hs-identifier hs-type">Anthroponym</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">NF
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span>
</span><span id="line-48"></span><span class="annot"><a href="Lexis.html#isAnthroponym"><span class="hs-identifier hs-var">isAnthroponym</span></a></span><span> </span><span class="annot"><span class="annottext">Lexis
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span>
</span><span id="line-49"></span><span>
</span><span id="line-50"></span><span class="annot"><a href="Lexis.html#getVerbFromLexis"><span class="hs-identifier hs-type">getVerbFromLexis</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier hs-type">Verb</span></a></span><span>
</span><span id="line-51"></span><span id="getVerbFromLexis"><span class="annot"><span class="annottext">getVerbFromLexis :: Lexis -&gt; Verb
</span><a href="Lexis.html#getVerbFromLexis"><span class="hs-identifier hs-var hs-var">getVerbFromLexis</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span id="local-6989586621679081812"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679081812"><span class="hs-identifier hs-var">verb</span></a></span></span><span> </span><span id="local-6989586621679081811"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679081811"><span class="hs-identifier hs-var">vf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679081812"><span class="hs-identifier hs-var">verb</span></a></span><span>
</span><span id="line-52"></span><span class="annot"><a href="Lexis.html#getVerbFromLexis"><span class="hs-identifier hs-var">getVerbFromLexis</span></a></span><span> </span><span class="annot"><span class="annottext">Lexis
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String -&gt; Verb
forall a. HasCallStack =&gt; String -&gt; a
</span><span class="hs-identifier hs-var">error</span></span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;argument to getVerb was not a verb&quot;</span></span><span>
</span><span id="line-53"></span><span>
</span><span id="line-54"></span><span class="annot"><a href="Lexis.html#modifyDeterminer"><span class="hs-identifier hs-type">modifyDeterminer</span></a></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-55"></span><span>  </span><span class="hs-comment">-- | Must be a noun</span><span>
</span><span id="line-56"></span><span>  </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-57"></span><span>  </span><span class="annot"><a href="Features.Nominal.html#Determiner"><span class="hs-identifier hs-type">Determiner</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-58"></span><span>  </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-59"></span><span id="modifyDeterminer"><span class="annot"><span class="annottext">modifyDeterminer :: Lexis -&gt; Determiner -&gt; Lexis
</span><a href="Lexis.html#modifyDeterminer"><span class="hs-identifier hs-var hs-var">modifyDeterminer</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span id="local-6989586621679081810"><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081810"><span class="hs-identifier hs-var">noun</span></a></span></span><span> </span><span id="local-6989586621679081809"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081809"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679081808"><span class="annot"><span class="annottext">Determiner
</span><a href="#local-6989586621679081808"><span class="hs-identifier hs-var">d</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081810"><span class="hs-identifier hs-var">noun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081809"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">determiner :: Determiner
</span><a href="Features.Nominal.html#determiner"><span class="hs-identifier hs-var">determiner</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="#local-6989586621679081808"><span class="hs-identifier hs-var">d</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-60"></span><span>
</span><span id="line-61"></span><span class="annot"><a href="Lexis.html#modifyCase"><span class="hs-identifier hs-type">modifyCase</span></a></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-62"></span><span>  </span><span class="annot"><a href="Features.Nominal.html#Case"><span class="hs-identifier hs-type">Case</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-63"></span><span>  </span><span class="hs-comment">-- | Must be a noun</span><span>
</span><span id="line-64"></span><span>  </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-65"></span><span>  </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-66"></span><span id="modifyCase"><span class="annot"><span class="annottext">modifyCase :: Case -&gt; Lexis -&gt; Lexis
</span><a href="Lexis.html#modifyCase"><span class="hs-identifier hs-var hs-var">modifyCase</span></a></span></span><span> </span><span id="local-6989586621679081806"><span class="annot"><span class="annottext">Case
</span><a href="#local-6989586621679081806"><span class="hs-identifier hs-var">c</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span id="local-6989586621679081805"><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081805"><span class="hs-identifier hs-var">noun</span></a></span></span><span> </span><span id="local-6989586621679081804"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081804"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081805"><span class="hs-identifier hs-var">noun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081804"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">grammCase :: Case
</span><a href="Features.Nominal.html#grammCase"><span class="hs-identifier hs-var">grammCase</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Case
</span><a href="#local-6989586621679081806"><span class="hs-identifier hs-var">c</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-67"></span><span>
</span><span id="line-68"></span><span class="annot"><a href="Lexis.html#modifyPossessive"><span class="hs-identifier hs-type">modifyPossessive</span></a></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-69"></span><span>  </span><span class="annot"><a href="Features.Nominal.html#Possessive"><span class="hs-identifier hs-type">Possessive</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-70"></span><span>  </span><span class="hs-comment">-- | Must be a noun</span><span>
</span><span id="line-71"></span><span>  </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-72"></span><span>  </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-73"></span><span id="modifyPossessive"><span class="annot"><span class="annottext">modifyPossessive :: Possessive -&gt; Lexis -&gt; Lexis
</span><a href="Lexis.html#modifyPossessive"><span class="hs-identifier hs-var hs-var">modifyPossessive</span></a></span></span><span> </span><span id="local-6989586621679081802"><span class="annot"><span class="annottext">Possessive
</span><a href="#local-6989586621679081802"><span class="hs-identifier hs-var">p</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span id="local-6989586621679081801"><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081801"><span class="hs-identifier hs-var">noun</span></a></span></span><span> </span><span id="local-6989586621679081800"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081800"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679081801"><span class="hs-identifier hs-var">noun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679081800"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">possessive :: Possessive
</span><a href="Features.Nominal.html#possessive"><span class="hs-identifier hs-var">possessive</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Possessive
</span><a href="#local-6989586621679081802"><span class="hs-identifier hs-var">p</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-74"></span></pre></body></html>